# Brahe - a heterogenous collection of mathematical tools

## Main Index
Home Page

Created by Scott Robert Ladd

Data Fields
brahe_prng_state_t Struct Reference

Contains state variables for a PRNG.

`#include <prng.h>`

## Data Fields

brahe_prng_type_t | m_type
uint32_t | m_seed
void * | m_data1
void * | m_data2
size_t | m_i
size_t | m_a
size_t | m_b
size_t | m_c

## Field Documentation

## ◆ m_a

size_t brahe_prng_state_t::m_a

## ◆ m_b

size_t brahe_prng_state_t::m_b

## ◆ m_c

size_t brahe_prng_state_t::m_c

## ◆ m_data1

void* brahe_prng_state_t::m_data1

## ◆ m_data2

void* brahe_prng_state_t::m_data2

## ◆ m_i

size_t brahe_prng_state_t::m_i

## ◆ m_seed

uint32_t brahe_prng_state_t::m_seed

## ◆ m_type

brahe_prng_type_t brahe_prng_state_t::m_type

The documentation for this struct was generated from the following file:

- prng.h

© 2011 Scott Robert Ladd. All rights reserved.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.